import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorContactGroup } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
interface MonitorContactGroupCU extends ConditionUtil<MonitorContactGroupCU> {
    ID: FieldUtil<MonitorContactGroupCU>;
    GROUP_NAME: FieldUtil<MonitorContactGroupCU>;
    REMARK: FieldUtil<MonitorContactGroupCU>;
    DELETED: FieldUtil<MonitorContactGroupCU>;
    CREATE_TIME: FieldUtil<MonitorContactGroupCU>;
    UPDATE_TIME: FieldUtil<MonitorContactGroupCU>;
}
declare class MonitorContactGroupMU extends TableUtilImpl<MonitorContactGroupCU, MonitorContactGroup> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorContactGroupCU;
    static get ID(): FieldUtil<MonitorContactGroupCU>;
    static get GROUP_NAME(): FieldUtil<MonitorContactGroupCU>;
    static get REMARK(): FieldUtil<MonitorContactGroupCU>;
    static get DELETED(): FieldUtil<MonitorContactGroupCU>;
    static get CREATE_TIME(): FieldUtil<MonitorContactGroupCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorContactGroupCU>;
    get ID(): FieldUtil<MonitorContactGroupCU>;
    get GROUP_NAME(): FieldUtil<MonitorContactGroupCU>;
    get REMARK(): FieldUtil<MonitorContactGroupCU>;
    get DELETED(): FieldUtil<MonitorContactGroupCU>;
    get CREATE_TIME(): FieldUtil<MonitorContactGroupCU>;
    get UPDATE_TIME(): FieldUtil<MonitorContactGroupCU>;
}
export { MonitorContactGroupMU, MonitorContactGroupCU };
